Search found 162 matches

by rich2005
21 Oct 2020, 11:00
Forum: GIMP Python Fu Scripts/Plug-ins
Topic: Script to invert colors on many files
Replies: 2
Views: 151

Re: Script to invert colors on many files

Must stop visiting this forum, always something that catches the eye ;) There is already a script that inverts colours and can be used on multiple layers. The script comes from here: https://www.deviantart.com/fence-post/art/Invert-Colors-All-Layers-154242938 but a pain since deviantart started requ...
by rich2005
21 Oct 2020, 08:42
Forum: GIMP/GL Questions
Topic: Ultimate Planet tutorial
Replies: 4
Views: 201

Re: Ultimate Planet tutorial

I found another 2 versions of planet-render.scm and with a small update all seem to work the same with Gimp 2.10.22 However, some more to play with: Planet_Setup.scm Filters -> SambrookJM -> Planet Setup Planet Rings.scm Filters -> SambrookJM -> Planet Rings Starscape.scm File -> Create -> Render ->...
by rich2005
20 Oct 2020, 16:47
Forum: GIMP/GL Questions
Topic: Ultimate Planet tutorial
Replies: 4
Views: 201

Re: Ultimate Planet tutorial

This one ? From the web archive, dumped as a PDF and a (very) little tidy up.

There is a referenced gimp .xcf (nice) and one of the referenced textures. The other textures defeated me.

Do not know about the planet render script at the moment.
by rich2005
18 Oct 2020, 13:38
Forum: GIMP/GL Questions
Topic: Playing Card Plugin Issue in 2.10.22
Replies: 6
Views: 368

Re: Playing Card Plugin Issue in 2.10.22

You need all the gimp_gmic_qt dependencies, QT5 + a raft of others for the gmic plugin to work, these are missing from the vanilla appimage-without-plugins The appimage is not made in 'buntu / Mint. It uses (I think) mainly Gentoo with additional packages. All about the Gimp developers making it dif...
by rich2005
18 Oct 2020, 12:33
Forum: GIMP Script Requests
Topic: Fencepost's Animated Fire Script --What's up?
Replies: 3
Views: 186

Re: Fencepost's Animated Fire Script --What's up?

A few things to get that working, I run it through Tin's constantize plugin for the layer modes but main problem is it uses the solid-noise plugin. This was dropped from Gimp 2.10, you need one from Gimp 2.8 The script can use the gimpressionist plugin and in the appimage all the gimpressionist filt...
by rich2005
18 Oct 2020, 10:18
Forum: GIMP/GL Questions
Topic: Playing Card Plugin Issue in 2.10.22
Replies: 6
Views: 368

Re: Playing Card Plugin Issue in 2.10.22

There is also a problem with the built-in gimp_gmic_qt plugin. Version 2.9.2 not that old, from beginning of July but updating the filters breaks many of them. Also problems with the gmic site focal plugin which does not register. This a newer version: gimp_gmic_qt 2.9.3 It has been tried in Mint 20...
by rich2005
17 Oct 2020, 11:38
Forum: GIMP/GL Questions
Topic: Playing Card Plugin Issue in 2.10.22
Replies: 6
Views: 368

Re: Playing Card Plugin Issue in 2.10.22

It is not Tin's script, it is the Gimp appimage-with-plugins that includes the Nufraw plugin for importing RAW images. This unfortunately breaks the Gimp SVG file import. https://i.imgur.com/rMVXD6V.jpg If it was anything other than the portable version you can easily disable the Nufraw plugin by ch...
by rich2005
14 Aug 2020, 10:48
Forum: GIMP Script Requests
Topic: Script Center - Resize
Replies: 7
Views: 1667

Re: Script Center - Resize

I think you will have to write your own script for a one-click-solution.
multi-layer.jpg
multi-layer.jpg (112.31 KiB) Viewed 1493 times
The old multi-layer-action script can get there but only as two applications.
Options are all layers or linked layers and a drop down menu of actions.
by rich2005
13 Jul 2020, 12:22
Forum: GIMP/GL Questions
Topic: gmic at 2.10.20
Replies: 6
Views: 2378

Re: gmic at 2.10.20

It looks like you are using a 32 bit Windows 7. How to determine 32/64 bit. An easy way to tell is using Windows Explorer Only "Program Files" = 32 bit If "Program Files" + " Program Files (x86)" = 64 bit https://i.imgur.com/ttVL8LU.jpg Why does it matter ? A 32 bit plugin will run in 64 bit Windows...
by rich2005
12 Jul 2020, 09:00
Forum: GIMP/GL Questions
Topic: gmic at 2.10.20
Replies: 6
Views: 2378

Re: gmic at 2.10.20

Some questions you need to ask yourself. installed 2.10.14 and then gmic in my windows 7. Is your Windows 7 32 bit or 64 bit? gmic support for 32 bit is now very limited to a 32bits_(old) section where the installer gmic_gimp2.10_qt_win32.exe is broken. Use the zip version. 64 bit is OK. But then I ...